*,
*::before,
*::after {
  min-width: 0px;
  min-height: 0px;
}

html {
  /* 最小値13pxを保証し、1200px未満では最大22pxまでフォントサイズが流動する */
  font-size: clamp(13px, var(--font-size-base), 22px);

  @media screen and (min-width: 1200px) {
    font-size: clamp(0.1rem, var(--font-size-base), 24px);
  }
}

body {
  font-family: var(--font-sans);
  color: var(--ink);
  background-color: var(--snow);
  background-image: var(--wall-snow);
  font-weight: 700;
  letter-spacing: -0.04em;
}

#root {
  margin: 0 auto;
}

p, h1, h2, h3, h4, h5, h6 {
  margin: 0;
}
h1, h2, h3, h4, h5, h6 {
  font-weight: inherit;
  line-height: inherit;
}

img, iframe {
  max-width: 100%;
}
iframe {
  border: none;
  box-shadow: none;
}

a, a:hover {
  color: var(--ink);
}

[id] {
  scroll-margin-top: 3.75rem;
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  border: 0;
}

button {
  position: relative;
  appearance: none;
  cursor: pointer;
  box-shadow: none;
  border: 0;
  outline: none;
  background: none;
  padding: 0;
}

.list {
  display: flex;
  flex-direction: column;
  gap: 0.25rem;
  padding-left: 1.5rem;
  list-style: disc outside none;

  & > p {
    margin: 0;
    display: list-item;
  }
}

.webgene-pagination {
  & ul {
    list-style: none;
    display: flex;
    justify-content: center;
    gap: 1.25rem;
    padding: 0;
    margin: 0;

    & li {
      & a {
        display: inline-block;
        width: 3rem;
        line-height: 3rem;
        text-align: center;
        border: 1px solid var(--ink);
        &:hover {
          text-decoration: none;
        }
      }

      &.selected {
        & a {
          background-color: var(--yellow);
          &:hover {}
        }
      }
    }
  }
}

.webgene-no-items {
  width: 100%;
  text-align: center;
  font-size: 0.875rem;
}

.thumbnail {
  position: relative;
  
  &.news-image {
    position: absolute;
  }

  &.thumbnail--16x9 {
    padding-top: 56.25%;
  }
  &.thumbnail--3x2 {
    padding-top: 66.6666666667%;
  }
  &.thumbnail--1x1 {
    padding-top: 100%;
  }

  & img,
  &:empty::before {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  &:empty::before {
    content: "";
    background-image: url("/system_panel/uploads/images/ogp.png");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
  }
}

.article-body {
  & > p {
    margin: 1em 0;
  }

  & > h1,
  & > h2,
  & > h3,
  & > h4,
  & > h5,
  & > h6 {
    margin: 2em 0 1em;
  }

  & > *:first-child {
    margin-top: 0;
  }

  & > *:last-child {
    margin-bottom: 0;
  }

  & a,
  & a:hover {
    color: var(--blue);
    text-decoration: underline;
  }
}

.backdrop-object {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.__mat.__mat--processed {
  word-break: keep-all;
  word-wrap: break-word;
}

.business-day-calender {
  background-color: var(--snow);
  padding: 1.5rem;
  overflow: auto;
  & .sibloo-calendar {
    min-width: 30rem;
    font-weight: 700;
    font-size: 0.75rem;
    @media (min-width: 768px) {
      font-size: 1rem;
    }
  }
}

.page-hero {
  position: relative;
  overflow: hidden;
  padding: 10rem 1.25rem 3.75rem;
  border-bottom: 1px solid hsl(from var(--ink) h s l / 15%);
  @media (min-width: 768px) {
    padding-left: 2.5rem;
    padding-right: 2.5rem;
  }
  @media (min-width: 1024px) {
    padding-left: 5rem;
    padding-right: 5rem;
  }
  @media (min-width: 1200px) {
    padding: 15rem 7.5rem 6.25rem;
  }
  
  & .page-hero__title {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 0.75rem;
    font-weight: 900;
    @media (min-width: 1024px) {
      flex: 1 1 0%;
    }
    
    & .page-hero__title-en {
      position: relative;
      align-self: start;
      line-height: 1.25;
      letter-spacing: 0;
      font-size: 1.125rem;
      padding: 0.75rem 1.125rem 0.625rem;
      @media (min-width: 768px) {
        font-size: 1.25rem;
      }
      @media (min-width: 1200px) {
        font-size: 1.5rem;
      }
      &::before,
      &::after {
        content: "";
        position: absolute;
        aspect-ratio: 3 / 2;
        width: 1.5rem;
        background-size: 100% 100%;
        background-repeat: no-repeat;
        @media (min-width: 768px) {
          width: 1.75rem;
        }
        @media (min-width: 1200px) {
          width: 2rem;
        }
      }
      &::before {
        top: 0;
        left: 0;
        background-image: url(/system_panel/uploads/images/jp-quotation-mark-dove-blue.svg);
      }
      &::after {
        bottom: 0;
        right: 0;
        background-image: url(/system_panel/uploads/images/jp-quotation-mark-ink.svg);
      }
    }
    
    & .page-hero__title-ja {
      line-height: 1;
      font-size: 2rem;
      transform: scaleY(0.9);
      @media (min-width: 768px) {
        font-size: 3rem;
      }
      @media (min-width: 1024px) {
        font-size: 3.5rem;
      }
      @media (min-width: 1200px) {
        font-size: 4rem;
      }
    }
    
    & .page-hero__title-image {
      & img {
        width: 100%;
      }
      position: relative;
      padding: 0.75rem 1.125rem 0.625rem;
      width: 7.5rem;
      @media (min-width: 768px) {
        padding-right: 1.25rem;
        padding-left: 1.25rem;
        width: 10rem;
      }
      @media (min-width: 1024px) {
        padding-right: 1.5rem;
        padding-left: 1.5rem;
        width: 18rem;
      }
      @media (min-width: 1200px) {
        padding-right: 2.5rem;
        padding-left: 2.5rem;
        width: 28.5rem;
      }
      &::before,
      &::after {
        content: "";
        position: absolute;
        aspect-ratio: 3 / 2;
        width: 1.5rem;
        background-size: 100% 100%;
        background-repeat: no-repeat;
        @media (min-width: 768px) {
          width: 1.75rem;
        }
        @media (min-width: 1200px) {
          width: 2rem;
        }
      }
      &::before {
        top: 0;
        left: 0;
        background-image: url(/system_panel/uploads/images/jp-quotation-mark-dove-blue.svg);
      }
      &::after {
        bottom: 0;
        right: 0;
        background-image: url(/system_panel/uploads/images/jp-quotation-mark-ink.svg);
      }
    }
  }
  
  &.page-hero--dark .page-hero__title .page-hero__title-en::after {
    background-image: url(/system_panel/uploads/images/jp-quotation-mark-snow.svg);
  }
}

.section-title {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 0.75rem;
  font-weight: 900;

  & .section-title__en {
    position: relative;
    align-self: start;
    line-height: 1.25;
    letter-spacing: 0;
    font-size: 1rem;
    padding: 0.75rem 1.125rem 0.625rem;
    @media (min-width: 768px) {
      font-size: 1.25rem;
    }
    @media (min-width: 1200px) {
      font-size: 1.5rem;
    }
    &::before,
    &::after {
      content: "";
      position: absolute;
      aspect-ratio: 3 / 2;
      width: 1.5rem;
      background-size: 100% 100%;
      background-repeat: no-repeat;
      @media (min-width: 768px) {
        width: 1.75rem;
      }
      @media (min-width: 1200px) {
        width: 2rem;
      }
    }
    &::before {
      top: 0;
      left: 0;
      background-image: url(/system_panel/uploads/images/jp-quotation-mark-dove-blue.svg);
    }
    &::after {
      bottom: 0;
      right: 0;
      background-image: url(/system_panel/uploads/images/jp-quotation-mark-ink.svg);
    }
  }

  & .section-title__ja {
    line-height: 1;
    transform: scaleY(0.9);
  }
  
  &.section-title--lg .section-title__en {
    font-size: 1.5rem;
    @media (min-width: 768px) {
      font-size: 3rem;
    }
    @media (min-width: 1200px) {
      font-size: 4rem;
    }
  }
  &.section-title--center {
    text-align: center;
    & .section-title__en {
      align-self: center;
    }
  }
  &.section-title--recruit .section-title__en {
    display: flex;
    align-items: center;
    gap: 0.75rem;
    font-size: 1.25rem;
    padding: 0;
    @media (min-width: 768px) {
      font-size: 1.5rem;
    }
    @media (min-width: 1200px) {
      font-size: 1.75rem;
    }
    &::before,
    &::after {
      content: "";
      position: relative;
      aspect-ratio: auto;
      background-color: var(--ink);
      height: 2px;
      width: 1rem;
      background-image: none;
      inset: auto;
      @media (min-width: 768px) {
        width: 1.25rem;
      }
      @media (min-width: 1200px) {
        width: 1.5rem;
      }
    }
  }
  &.section-title--snow.section-title--recruit .section-title__en {
    &::before,
    &::after {
      background-color: var(--snow);
    }
  }
}

.recruit-intro-content {
  margin-top: -12rem;
  @media (min-width: 768px) {
    margin-top: -22rem;
  }
  @media (min-width: 1024px) {
    margin-top: -28rem;
  }
  @media (min-width: 1200px) {
    margin-top: -37.5rem;
  }
}

.bg-line {
  position: absolute;
  opacity: 15%;
  background-color: var(--ink);
  &.bg-line--vertical {
    width: 1px;
    top: 0;
    bottom: 0;
  }
  &.bg-line--horizontal {
    height: 1px;
    right: 0;
    left: 0;
  }
}

.button {
  position: relative;
  display: flex;
  align-items: center;
  gap: 2rem;
  padding-bottom: 0.5rem;
  border-bottom: 2px solid var(--ink);
  line-height: 1.25;
  letter-spacing: -0.04em;
  font-weight: 900;
  font-size: 1.25rem;
  color: var(--ink);
  transition: opacity ease 200ms;
  &:hover{
    text-decoration: none;
    opacity: 90%;
    color: var(--ink);
  }
  &::after {
    content: "";
    width: 1.5rem;
    aspect-ratio: 1 / 1;
    background-image: url(/system_panel/uploads/images/icon-arrow-right.svg);
    background-size: 100% 100%;
    background-repeat: no-repeat;
  }
  
  &.button--with-icon::after {
    content: none;
  }
  &.button--snow {
    color: var(--snow);
    border-color: var(--snow);
    &:hover {
      color: var(--snow);
    }
  }
}

.about-intro-bg-images {
  position: absolute;
  inset: 0;
  display: grid;
  grid-template-rows: repeat(5, minmax(0, 1fr));
  @media (min-width: 768px) {
    grid-template-rows: repeat(1, minmax(0, 1fr));
    grid-template-columns: repeat(5, minmax(0, 1fr));
  }
  & img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    &:first-child {
      grid-row: span 2 / span 2;
      @media (min-width: 768px) {
        grid-row: span 1 / span 1;
        grid-column: span 2 / span 2;
      }
    }
    &:last-child {
      grid-row: span 3 / span 3;
      @media (min-width: 768px) {
        grid-row: span 1 / span 1;
        grid-column: span 3 / span 3;
      }
    }
  }
}

.about-outline-bg-image {
  object-fit: cover;
  aspect-ratio: 3 / 2;
  width: 100%;
  max-width: 35.375rem;
  margin-left: auto;
  @media (min-width: 1200px) {
    position: absolute;
    right: -4.75rem;
    bottom: 3.75rem;
  }
}

.sheet-metal-work-and-painting-typo {
  position: absolute;
  top: -1.75em;
  left: 0.875em;
  line-height: 1;
  font-weight: 900;
  font-size: 2.5rem;
  color: var(--dove-blue);
  opacity: 60%;
  white-space: nowrap;
  @media (min-width: 768px) {
    font-size: 4rem;
  }
  @media (min-width: 1024px) {
    & br {
      display: none;
    }
    top: -0.8333333333em;
    left: 0.7083333333em;
    font-size: 3.75rem;
  }
  @media (min-width: 1200px) {
    font-size: 5.75rem;
  }
}

.services-card {
  @media (min-width: 768px) {
    aspect-ratio: 3 / 2;
  }
  &::after {
    content: "";
    aspect-ratio: 1 / 1;
    width: 7.5rem;
    background-image: url(/system_panel/uploads/images/square-arrow-right.svg);
    background-size: 100% 100%;
    background-repeat: no-repeat;
    position: absolute;
    right: 0;
    bottom: 0;
  }
  & .services-card__bg-image {
    position: absolute;
    inset: 0;
    &::after {
      pointer-events: none;
      content: "";
      position: absolute;
      inset: 0;
      background-color: hsl(0 0 0 / 70%);
    }
    & img {
      object-fit: cover;
      width: 100%;
      height: 100%;
    }
  }
}

.services-slider {
  & .swiper-pagination {
    position: relative;
    --swiper-pagination-color: var(--ink);
  }
  & .swiper-button-next,
  & .swiper-button-prev {
    --swiper-navigation-size: auto;
    position: relative;
    margin: 0;
    inset: 0;
    width: 2rem;
    @media (min-width :768px) {
      width: 3rem;
    }
    & .swiper-navigation-icon {
      display: none;
    }
    & img {
      width: 100%;
    }
  }
  & .swiper-button-next {
    & img {
      transform: scaleX(-1);
    }
  }
}


.swiper:not(.swiper-initialized) .swiper-wrapper {
  display: flex;
  overflow: auto;
  & .swiper-slide {
    min-width: 40%;
  }
}

.news-list {
  & .webgene-blog {
    display: grid;
    gap: 2rem;
    @media (min-width: 768px) {
      grid-template-columns: repeat(2, minmax(0, 1fr));
      row-gap: 0.5rem;
      & .webgene-item:nth-child(even) {
        margin-top: 1.5rem;
      }
    }
    @media (min-width: 1200px) {
      column-gap: 3rem;
      & .webgene-item:nth-child(even) {
        margin-top: 2.5rem;
      }
    }
  }
  & .webgene-item {
    & a {
      aspect-ratio: 5 / 7;
    }
    .backdrop-object {
      &::after {
        content: "";
        position: absolute;
        inset: 0;
        background: linear-gradient(180deg, rgba(39, 38, 37, 0.00) 0%, #272625 100%);
        z-index: 1;
      }
      & img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        z-index: 0;
      }
    }
  }
  & .webgene-pagination {
    margin-top: 3rem;
  }
  & .webgene-pagination,
  & .webgene-no-items {
    @media (min-width: 768px) {
      grid-column: span 2 / span 2;
    }
  }
}

.news-category {
  & .webgene-blog {
    display: flex;
    flex-direction: column;
    gap: 1rem;
  }
  @media (min-width: 1024px) {
    position: sticky;
    top: 3rem;
  }
}
  

.blog-list {
  & .webgene-blog {
    display: grid;
    gap: 2rem;
    @media (min-width: 768px) {
      grid-template-columns: repeat(2, minmax(0, 1fr));
    }
    @media (min-width: 1200px) {
      grid-template-columns: repeat(3, minmax(0, 1fr));
    }
    
    & .blog-list-content {
      display: -webkit-box;
      -webkit-line-clamp: 2;
      -webkit-box-orient: vertical; 
      overflow: hidden;
      & h1, & h2, & h3, & h4, & h5, & h6, p {
        font-size: 0.875rem;
        display: inline;
        @media (min-width: 768px) {
          font-size: 1rem;
        }
      }
      & img, & a {
        display: none;
      }
    }
  }
  
  & .webgene-pagination,
  & .webgene-no-items {
    @media (min-width: 768px) {
      grid-column: span 2 / span 2;
    }
    @media (min-width: 1200px) {
      grid-column: span 3 / span 3;
    }
  }
}

.blog-category {
  & .webgene-blog {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 1.25rem;
  }
}






